Există, oricum pentru a instala modulul în Python 3 twain

voturi
1

Vreau să instalați modulul Python TWAIN în Python 3. Dar , în docs se spune:

Versiunile Python 2.1 prin 2.5 sunt acceptate.

Pot converti folosind 2to3?

Întrebat 12/01/2016 la 13:06
de către utilizator
În alte limbi...                            


1 răspunsuri

voturi
0

Utilizați rămas singur modul , care oferă un pachet de traducere experimentală pentru a ajuta cu importul și folosind vechile module Python 2 într - un mediu Python 3.

Deci, instalați pachetul cu pip

pip3 install twain --no-compile   # to ignore SyntaxErrors

Și de a folosi codul de lângă pentru a importa în twain dvs. python3cod:

from past import autotranslate
autotranslate(['twain'])

import twain


# use twain ....... 
Publicat 12/01/2016 la 13:13
sursa de către utilizator

Cookies help us deliver our services. By using our services, you agree to our use of cookies. Learn more